<template>
  <b-modal
    :id="id"
    modal-class="modal-blur"
    :body-class="bodyclass"
    :size="size"
    :centered="centered"
    :no-close-on-backdrop="!closeBackdrop"
    :title="title"
    :hide-footer="!footer"
    :hide-header="!header"
    :ok-disabled="okDisabled"
    :ok-title="okTitle"
    :visible="visible"
    @ok="$emit('ok')"
    @hidden="$emit('hidden')"
    @shown="$emit('shown')"
  >
    <slot name="body"></slot>
  </b-modal>
</template>
<script>
export default {
  props: {
    id: {
      type: String,
      default: '',
    },
    title: {
      type: String,
      default: '',
    },
    footer: {
      type: Boolean,
      default: true,
    },
    header: {
      type: Boolean,
      default: true,
    },
    bodyclass: {
      type: String,
      default: '',
    },
    okTitle: {
      type: String,
      default: '',
    },
    okDisabled: {
      type: Boolean,
      default: false,
    },
    closeBackdrop: {
      type: Boolean,
      default: true,
    },
    visible: {
      type: Boolean,
      default: false,
    },
    centered: {
      type: Boolean,
      default: true,
    },
    size: {
      type: String,
      default: 'lg',
    },
  },
};
</script>
